Redmine - Patch #20661

Show visible spent time link for users allowed to view time entries.
2015-09-02 15:29 - Martin Dubé

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Jean-Philippe Lang % Done: 0%
Category: Time tracking Estimated time: 0.00 hour
Target version: 3.2.6

Description

With this little change, the spent time is back, but showing only hours visible by the user according to the new "time log visibility
permission.

Related issues:
Related to Redmine - Patch #25526: Revert AP| change in spent_hours field in ... Closed

Associated revisions

Revision 16292 - 2017-01-29 11:28 - Jean-Philippe Lang

Show visible spent time link for users allowed to view time entries (#20661).

Patch by Go MAEDA.

Revision 16306 - 2017-01-30 18:41 - Jean-Philippe Lang
Merged r16292 (#20661).

Revision 16308 - 2017-01-30 18:47 - Jean-Philippe Lang
Merged r16292 (#20661).

History

#1 - 2015-10-02 05:47 - Toshi MARUYAMA

- Status changed from New to Needs feedback

There are many "show.html.erb". Which show.html.erb?

#2 - 2015-10-02 05:52 - Martin Dubé
app/views/issues/show.html.erb
Thanks

#3 - 2015-10-02 06:03 - Toshi MARUYAMA

- Status changed from Needs feedback to New

#4 - 2017-01-06 23:36 - Robert Korulczyk
+1
Works great on 3.3.1. Thanks.

#5 - 2017-01-18 01:31 - Go MAEDA
- Category changed from Ul to Time tracking

By this patch, different spent hours value is displayed for each user.
| am worried that it may cause confusion.

#6 - 2017-01-18 09:12 - Robert Korulczyk
Go MAEDA wrote:

By this patch, different spent hours value is displayed for each user.
| am worried that it may cause confusion.

It already work in this way in multiple places (issues list for example) - user can see only his own time log.

Personally | think that much more confusing is situation, where issues list contain more details about issue than issue detail view, and user can't
easily see how many hours his spend on the issue.

#7 - 2017-01-19 13:35 - Go MAEDA
- File spent-time-issues-index.png added

- File spent-time-issues-show.png added

Robert Korulczyk wrote:
Go MAEDA wrote:
By this patch, different spent hours value is displayed for each user.
| am worried that it may cause confusion.

It already work in this way in multiple places (issues list for example) - user can see only his own time log.

Thank you for letting me know it. | didn't know. | agree with you now. | think that it is inconsistent.
Added by John Smith over 10 years ago. Updated about 12 hours ago.

Status: New Start date: 01/03/2017

Priority: Low Due date: 0171372017

Assignee: Dave Lopper % Done: 0%

Category: - Estimated time:

Target version: 1

Searchable field: 125 Custom date:

Database: MySQL Project 1 cf:

Float field: 11.65

#8 - 2017-01-19 14:01 - Go MAEDA
- File 20661-show-visible-spent-time.diff added

Updated the patch.
Also Issue.load_visible_total_spent_hours should be called to show correct value of total_spent_hours.

#10 - 2017-01-23 06:20 - Go MAEDA

- Target version set to Candidate for next minor release

#11 - 2017-01-26 04:35 - Go MAEDA
- Target version changed from Candidate for next minor release to 3.3.3

Let's resolve the inconsistency.
Setting target version to 3.3.3.

#12 - 2017-01-29 11:29 - Jean-Philippe Lang
- Status changed from New to Resolved

- Assignee set to Jean-Philippe Lang

Committed, thanks.

#13 - 2017-01-30 18:42 - Jean-Philippe Lang

- Status changed from Resolved to Closed

#14 - 2017-01-30 18:47 - Jean-Philippe Lang
- Target version changed from 3.3.3 to 3.2.6

#15 - 2017-04-05 18:10 - Jean-Philippe Lang

- Related to Patch #25526: Revert API change in spent_hours field in issue#show added

Files

show.html.erb.patch 631 Bytes 2015-09-02 Martin Dubé

spent-time-issues-index.png 10.8 KB 2017-01-19 Go MAEDA

spent-time-issues-show.png 17.8 KB 2017-01-19 Go MAEDA

20661-show-visible-spent-time.diff 1.23 KB 2017-01-19 Go MAEDA
2025-05-02 3/3


http://www.tcpdf.org

